Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class FdkExceptionEntry

    java.lang.Object
      oracle.ifs.fdk.FdkExceptionEntry

All Implemented Interfaces:
  java.io.Serializable

    public class FdkExceptionEntry

extends java.lang.Object
implements java.io.Serializable

An entry when the exception is an aggregate exception.

See Also:
  Serialized Form

Constructor Summary
`FdkExceptionEntry()` Constructor required to be a Java Bean.
`FdkExceptionEntry(AggregateExceptionEntry aee)` Constructor.

Method Summary
`java.lang.Throwable` | `cause()` Returns the cause exception of this entry or `null` if the entry was not caused by another exception.
`static FdkExceptionEntry[]` | `convert(java.lang.Throwable t)` Converts a Throwable into an FdkExceptionEntry[].
`java.lang.String` | `getDetailedErrorCode()` Returns the detailed error code that may provide more information about the error.
`java.lang.String` | `getErrorCode()` Returns the main error code.
`long` | `getId()` Returns the ID of the item for which the error occured.
`NamedValue[]` | `getInfo()` Returns additional information about the error or `null` if no additional information is available.
`java.lang.String` | `getServerStackTraceId()` Returns the server stack trace ID for this entry.
`java.util.Map` | `infoMap()` Returns additional information about the error or `null` if no additional information is available.
`void` | `setDetailedErrorCode(java.lang.String errorCode)` Always throws a RuntimeException.
`void` | `setErrorCode(java.lang.String errorCode)` Always throws a RuntimeException.
`void` | `setId(long id)` Always throws a RuntimeException.
`void` | `setInfo(NamedValue[] info)` Always throws a RuntimeException.
`void` | `setServerStackTraceId(java.lang.String id)` Always throws a RuntimeException.
`java.lang.String` | `toString()` Returns a string representation of this entry without the stack trace of the cause exception.
`java.lang.String` | `toStringWithStackTrace()` Returns a string representation of this entry with the stack trace of the cause exception, if any.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FdkExceptionEntry

    public FdkExceptionEntry()

  Constructor required to be a Java Bean. Do not use it, it will always throw RuntimeException.

  Throws:
    `java.lang.RuntimeException` - Always.

### FdkExceptionEntry

    public FdkExceptionEntry(AggregateExceptionEntry aee)

  Constructor.

  Parameters:
    `aee` - The AggregateExceptionEntry this entry corresponds to.
  (Unpublished)

Method Detail

### convert

    public static FdkExceptionEntry[] convert(java.lang.Throwable t)

  Description copied from class: `FdkExceptionEntry`
  Converts a Throwable into an FdkExceptionEntry[]. If the Throwable is an aggregate exception, the entries will be mapped and the returned array will most likely have its length > 1. If the Throwable is not an aggregate exception, the returned array will have length exactly 1.

  Note that this method will not log any exceptions to the log file, including severe or server errors. It is the responsibility of the caller to do such logging if desired.

  Parameters:
    `t` - The Throwable to convert.
  (Unpublished)

### getErrorCode

    public java.lang.String getErrorCode()

  Description copied from class: `FdkExceptionEntry`
  Returns the main error code.

### setErrorCode

    public void setErrorCode(java.lang.String errorCode)

  Description copied from class: `FdkExceptionEntry`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.

### getDetailedErrorCode

    public java.lang.String getDetailedErrorCode()

  Description copied from class: `FdkExceptionEntry`
  Returns the detailed error code that may provide more information about the error. If a detailed error code is not available, the same value as the main error code will be returned.

### setDetailedErrorCode

    public void setDetailedErrorCode(java.lang.String errorCode)

  Description copied from class: `FdkExceptionEntry`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.

### getId

    public long getId()

  Description copied from class: `FdkExceptionEntry`
  Returns the ID of the item for which the error occured.

### setId

    public void setId(long id)

  Description copied from class: `FdkExceptionEntry`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.

### getInfo

    public NamedValue[] getInfo()

  Description copied from class: `FdkExceptionEntry`
  Returns additional information about the error or `null` if no additional information is available.

### infoMap

    public java.util.Map infoMap()

  Description copied from class: `FdkExceptionEntry`
  Returns additional information about the error or `null` if no additional information is available. The result is the same as calling `getInfo()` except the return type is a `Map` for convenience.

  (Unpublished)

### setInfo

    public void setInfo(NamedValue[] info)

  Description copied from class: `FdkExceptionEntry`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.

### getServerStackTraceId

    public java.lang.String getServerStackTraceId()

  Description copied from class: `FdkExceptionEntry`
  Returns the server stack trace ID for this entry. This method is useful when invoking the API remotely. For in-process calls the cause exception (if any) is always available by calling `cause()`.

### setServerStackTraceId

    public void setServerStackTraceId(java.lang.String id)

  Description copied from class: `FdkExceptionEntry`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.

### cause

    public java.lang.Throwable cause()

  Description copied from class: `FdkExceptionEntry`
  Returns the cause exception of this entry or `null` if the entry was not caused by another exception.

  (Unpublished)

### toString

    public java.lang.String toString()

  Description copied from class: `FdkExceptionEntry`
  Returns a string representation of this entry without the stack trace of the cause exception. Logging the result of this method should be guarded by the log level as the string computation is significant.

  Overrides:
    `toString` in class `java.lang.Object`

### toStringWithStackTrace

    public java.lang.String toStringWithStackTrace()

  Description copied from class: `FdkExceptionEntry`
  Returns a string representation of this entry with the stack trace of the cause exception, if any. Logging the result of this method should be guarded by the log level as the string computation is significant.

  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD